Subject: RE: bug#15839: 24.3.50; `isearch-allow-scroll': be able to scroll point off screen temporarily

From: Drew Adams <[email-masked]>
Date: Tue, 4 Dec 2018 14:46:01 +0000 (UTC)

> > But I don't really need to understand.  I reviewed
> > what you wrote about that only because you included
> > it in a reply to this (other) bug report.  Ignore my
> > feedback about `*-allow-shift-selection' if you like
> > - no problem.
> 
> Thank you for your feedback, all your remarks were
> taken into consideration, committed to master, and
> this enhancement request closed.

I'm amazed by this, Juri.  You introduced stuff
into this bug thread that is about another bug
entirely (`*-allow-shift-selection').

I replied to your feedback about this bug, point by
point.  And, hoping to help, I also provided some
feedback about that other, unrelated bug.

What you quote above is about that _other_ bug, not
this one.  I said that you can, if you like, ignore
my feedback about `*-allow-shift-selection'.  That
bug is not something I'm really concerned about -
my feedback about it was just trying to be helpful.

As for this bug, I made clear that all that it
calls for does not yet seem to be provided by
your proposed changes.

Yet you reply (only) to my comment that you can
ignore my feedback about `*-allow-shift-selection',
to say that you have therefore closed _this_ bug.

I'm amazed - unless you did this accidentally,
confusing the two bugs and meaning to close the
other bug instead.

If you really intended to close this bug, please
say how "all [my] remarks were taken into
consideration" and how this enhancement request
has been entirely fulfilled.  That's not clear
to me.

>From my point of view, it seems like you've made
changes to fix other bugs that incidentally make
progress toward also realizing the enhancement
requested by this bug.  That's all good.

But I don't see that this enhancement has been
realized.  I addressed this in specific ways,
none of which you've responded to in this
closure message.